Subject: Re: [Xen-devel] [PATCH net v3] xen-netback: bookkeep number of active queues in our own module

From: David Vrabel <[email-masked]>
Date: Mon, 23 Jun 2014 11:18:32 +0100

On 23/06/14 11:05, Paul Durrant wrote:
> 
> I do think the fact that the frontend doesn't care what algorithm
> the backend is using needs to be made explicit though. I'll see what I can
> do this week.

The specification is pretty clear. From netif.h:

 * Mapping of packets to queues is considered to be a function of the
 * transmitting system (backend or frontend) and is not negotiated
 * between the two. Guests are free to transmit packets on any queue
 * they choose, provided it has been set up correctly. Guests must be
 * prepared to receive packets on any queue they have requested be set up.

David

ps. Can you fix your email client to properly wrap your replies.